package com.mortals.xhx.module.basic.model;

import java.util.List;
import java.util.List;
import com.mortals.xhx.module.basic.model.BasicSetEntity;
/**
* 基础设置查询对象
*
* @author zxfei
* @date 2023-05-23
*/
public class BasicSetQuery extends BasicSetEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 是否显示照片(0.否,1.是) */
    private Integer showPhotoStart;

    /** 结束 是否显示照片(0.否,1.是) */
    private Integer showPhotoEnd;

    /** 增加 是否显示照片(0.否,1.是) */
    private Integer showPhotoIncrement;

    /** 是否显示照片(0.否,1.是)列表 */
    private List <Integer> showPhotoList;

    /** 是否显示照片(0.否,1.是)排除列表 */
    private List <Integer> showPhotoNotList;

    /** 开始 是否显示姓名 (0.否,1.是) */
    private Integer showNameStart;

    /** 结束 是否显示姓名 (0.否,1.是) */
    private Integer showNameEnd;

    /** 增加 是否显示姓名 (0.否,1.是) */
    private Integer showNameIncrement;

    /** 是否显示姓名 (0.否,1.是)列表 */
    private List <Integer> showNameList;

    /** 是否显示姓名 (0.否,1.是)排除列表 */
    private List <Integer> showNameNotList;

    /** 开始 是否显示职位(0.否,1.是) */
    private Integer showPostStart;

    /** 结束 是否显示职位(0.否,1.是) */
    private Integer showPostEnd;

    /** 增加 是否显示职位(0.否,1.是) */
    private Integer showPostIncrement;

    /** 是否显示职位(0.否,1.是)列表 */
    private List <Integer> showPostList;

    /** 是否显示职位(0.否,1.是)排除列表 */
    private List <Integer> showPostNotList;

    /** 开始 是否显示在岗状态(0.否,1.是) */
    private Integer showWorkStart;

    /** 结束 是否显示在岗状态(0.否,1.是) */
    private Integer showWorkEnd;

    /** 增加 是否显示在岗状态(0.否,1.是) */
    private Integer showWorkIncrement;

    /** 是否显示在岗状态(0.否,1.是)列表 */
    private List <Integer> showWorkList;

    /** 是否显示在岗状态(0.否,1.是)排除列表 */
    private List <Integer> showWorkNotList;

    /** 开始 是否显示电话(0.否,1.是) */
    private Integer showPhoneStart;

    /** 结束 是否显示电话(0.否,1.是) */
    private Integer showPhoneEnd;

    /** 增加 是否显示电话(0.否,1.是) */
    private Integer showPhoneIncrement;

    /** 是否显示电话(0.否,1.是)列表 */
    private List <Integer> showPhoneList;

    /** 是否显示电话(0.否,1.是)排除列表 */
    private List <Integer> showPhoneNotList;

    /** 开始 显示电子门牌信息(0.显示时间,1.自定义内容) */
    private Integer showElectStart;

    /** 结束 显示电子门牌信息(0.显示时间,1.自定义内容) */
    private Integer showElectEnd;

    /** 增加 显示电子门牌信息(0.显示时间,1.自定义内容) */
    private Integer showElectIncrement;

    /** 显示电子门牌信息(0.显示时间,1.自定义内容)列表 */
    private List <Integer> showElectList;

    /** 显示电子门牌信息(0.显示时间,1.自定义内容)排除列表 */
    private List <Integer> showElectNotList;

    /** 显示电子门牌信息自定义内容 */
    private List<String> showElectDescList;

    /** 显示电子门牌信息自定义内容排除列表 */
    private List <String> showElectDescNotList;
    /** 开始 显示会议室门牌信息(0.显示时间,1.自定义内容) */
    private Integer showMeetStart;

    /** 结束 显示会议室门牌信息(0.显示时间,1.自定义内容) */
    private Integer showMeetEnd;

    /** 增加 显示会议室门牌信息(0.显示时间,1.自定义内容) */
    private Integer showMeetIncrement;

    /** 显示会议室门牌信息(0.显示时间,1.自定义内容)列表 */
    private List <Integer> showMeetList;

    /** 显示会议室门牌信息(0.显示时间,1.自定义内容)排除列表 */
    private List <Integer> showMeetNotList;

    /** 显示会议室门牌信息自定义内容 */
    private List<String> showMeetDescList;

    /** 显示会议室门牌信息自定义内容排除列表 */
    private List <String> showMeetDescNotList;
    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<BasicSetQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<BasicSetQuery> andConditionList;

    public BasicSetQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 是否显示照片(0.否,1.是)
    * @return showPhotoStart
    */
    public Integer getShowPhotoStart(){
        return this.showPhotoStart;
    }

    /**
    * 设置 开始 是否显示照片(0.否,1.是)
    * @param showPhotoStart
    */
    public void setShowPhotoStart(Integer showPhotoStart){
        this.showPhotoStart = showPhotoStart;
    }

    /**
    * 获取 结束 是否显示照片(0.否,1.是)
    * @return $showPhotoEnd
    */
    public Integer getShowPhotoEnd(){
        return this.showPhotoEnd;
    }

    /**
    * 设置 结束 是否显示照片(0.否,1.是)
    * @param showPhotoEnd
    */
    public void setShowPhotoEnd(Integer showPhotoEnd){
        this.showPhotoEnd = showPhotoEnd;
    }

    /**
    * 获取 增加 是否显示照片(0.否,1.是)
    * @return showPhotoIncrement
    */
    public Integer getShowPhotoIncrement(){
        return this.showPhotoIncrement;
    }

    /**
    * 设置 增加 是否显示照片(0.否,1.是)
    * @param showPhotoIncrement
    */
    public void setShowPhotoIncrement(Integer showPhotoIncrement){
        this.showPhotoIncrement = showPhotoIncrement;
    }

    /**
    * 获取 是否显示照片(0.否,1.是)
    * @return showPhotoList
    */
    public List<Integer> getShowPhotoList(){
        return this.showPhotoList;
    }

    /**
    * 设置 是否显示照片(0.否,1.是)
    * @param showPhotoList
    */
    public void setShowPhotoList(List<Integer> showPhotoList){
        this.showPhotoList = showPhotoList;
    }

    /**
    * 获取 是否显示照片(0.否,1.是)
    * @return showPhotoNotList
    */
    public List<Integer> getShowPhotoNotList(){
        return this.showPhotoNotList;
    }

    /**
    * 设置 是否显示照片(0.否,1.是)
    * @param showPhotoNotList
    */
    public void setShowPhotoNotList(List<Integer> showPhotoNotList){
        this.showPhotoNotList = showPhotoNotList;
    }


    /**
    * 获取 开始 是否显示姓名 (0.否,1.是)
    * @return showNameStart
    */
    public Integer getShowNameStart(){
        return this.showNameStart;
    }

    /**
    * 设置 开始 是否显示姓名 (0.否,1.是)
    * @param showNameStart
    */
    public void setShowNameStart(Integer showNameStart){
        this.showNameStart = showNameStart;
    }

    /**
    * 获取 结束 是否显示姓名 (0.否,1.是)
    * @return $showNameEnd
    */
    public Integer getShowNameEnd(){
        return this.showNameEnd;
    }

    /**
    * 设置 结束 是否显示姓名 (0.否,1.是)
    * @param showNameEnd
    */
    public void setShowNameEnd(Integer showNameEnd){
        this.showNameEnd = showNameEnd;
    }

    /**
    * 获取 增加 是否显示姓名 (0.否,1.是)
    * @return showNameIncrement
    */
    public Integer getShowNameIncrement(){
        return this.showNameIncrement;
    }

    /**
    * 设置 增加 是否显示姓名 (0.否,1.是)
    * @param showNameIncrement
    */
    public void setShowNameIncrement(Integer showNameIncrement){
        this.showNameIncrement = showNameIncrement;
    }

    /**
    * 获取 是否显示姓名 (0.否,1.是)
    * @return showNameList
    */
    public List<Integer> getShowNameList(){
        return this.showNameList;
    }

    /**
    * 设置 是否显示姓名 (0.否,1.是)
    * @param showNameList
    */
    public void setShowNameList(List<Integer> showNameList){
        this.showNameList = showNameList;
    }

    /**
    * 获取 是否显示姓名 (0.否,1.是)
    * @return showNameNotList
    */
    public List<Integer> getShowNameNotList(){
        return this.showNameNotList;
    }

    /**
    * 设置 是否显示姓名 (0.否,1.是)
    * @param showNameNotList
    */
    public void setShowNameNotList(List<Integer> showNameNotList){
        this.showNameNotList = showNameNotList;
    }


    /**
    * 获取 开始 是否显示职位(0.否,1.是)
    * @return showPostStart
    */
    public Integer getShowPostStart(){
        return this.showPostStart;
    }

    /**
    * 设置 开始 是否显示职位(0.否,1.是)
    * @param showPostStart
    */
    public void setShowPostStart(Integer showPostStart){
        this.showPostStart = showPostStart;
    }

    /**
    * 获取 结束 是否显示职位(0.否,1.是)
    * @return $showPostEnd
    */
    public Integer getShowPostEnd(){
        return this.showPostEnd;
    }

    /**
    * 设置 结束 是否显示职位(0.否,1.是)
    * @param showPostEnd
    */
    public void setShowPostEnd(Integer showPostEnd){
        this.showPostEnd = showPostEnd;
    }

    /**
    * 获取 增加 是否显示职位(0.否,1.是)
    * @return showPostIncrement
    */
    public Integer getShowPostIncrement(){
        return this.showPostIncrement;
    }

    /**
    * 设置 增加 是否显示职位(0.否,1.是)
    * @param showPostIncrement
    */
    public void setShowPostIncrement(Integer showPostIncrement){
        this.showPostIncrement = showPostIncrement;
    }

    /**
    * 获取 是否显示职位(0.否,1.是)
    * @return showPostList
    */
    public List<Integer> getShowPostList(){
        return this.showPostList;
    }

    /**
    * 设置 是否显示职位(0.否,1.是)
    * @param showPostList
    */
    public void setShowPostList(List<Integer> showPostList){
        this.showPostList = showPostList;
    }

    /**
    * 获取 是否显示职位(0.否,1.是)
    * @return showPostNotList
    */
    public List<Integer> getShowPostNotList(){
        return this.showPostNotList;
    }

    /**
    * 设置 是否显示职位(0.否,1.是)
    * @param showPostNotList
    */
    public void setShowPostNotList(List<Integer> showPostNotList){
        this.showPostNotList = showPostNotList;
    }


    /**
    * 获取 开始 是否显示在岗状态(0.否,1.是)
    * @return showWorkStart
    */
    public Integer getShowWorkStart(){
        return this.showWorkStart;
    }

    /**
    * 设置 开始 是否显示在岗状态(0.否,1.是)
    * @param showWorkStart
    */
    public void setShowWorkStart(Integer showWorkStart){
        this.showWorkStart = showWorkStart;
    }

    /**
    * 获取 结束 是否显示在岗状态(0.否,1.是)
    * @return $showWorkEnd
    */
    public Integer getShowWorkEnd(){
        return this.showWorkEnd;
    }

    /**
    * 设置 结束 是否显示在岗状态(0.否,1.是)
    * @param showWorkEnd
    */
    public void setShowWorkEnd(Integer showWorkEnd){
        this.showWorkEnd = showWorkEnd;
    }

    /**
    * 获取 增加 是否显示在岗状态(0.否,1.是)
    * @return showWorkIncrement
    */
    public Integer getShowWorkIncrement(){
        return this.showWorkIncrement;
    }

    /**
    * 设置 增加 是否显示在岗状态(0.否,1.是)
    * @param showWorkIncrement
    */
    public void setShowWorkIncrement(Integer showWorkIncrement){
        this.showWorkIncrement = showWorkIncrement;
    }

    /**
    * 获取 是否显示在岗状态(0.否,1.是)
    * @return showWorkList
    */
    public List<Integer> getShowWorkList(){
        return this.showWorkList;
    }

    /**
    * 设置 是否显示在岗状态(0.否,1.是)
    * @param showWorkList
    */
    public void setShowWorkList(List<Integer> showWorkList){
        this.showWorkList = showWorkList;
    }

    /**
    * 获取 是否显示在岗状态(0.否,1.是)
    * @return showWorkNotList
    */
    public List<Integer> getShowWorkNotList(){
        return this.showWorkNotList;
    }

    /**
    * 设置 是否显示在岗状态(0.否,1.是)
    * @param showWorkNotList
    */
    public void setShowWorkNotList(List<Integer> showWorkNotList){
        this.showWorkNotList = showWorkNotList;
    }


    /**
    * 获取 开始 是否显示电话(0.否,1.是)
    * @return showPhoneStart
    */
    public Integer getShowPhoneStart(){
        return this.showPhoneStart;
    }

    /**
    * 设置 开始 是否显示电话(0.否,1.是)
    * @param showPhoneStart
    */
    public void setShowPhoneStart(Integer showPhoneStart){
        this.showPhoneStart = showPhoneStart;
    }

    /**
    * 获取 结束 是否显示电话(0.否,1.是)
    * @return $showPhoneEnd
    */
    public Integer getShowPhoneEnd(){
        return this.showPhoneEnd;
    }

    /**
    * 设置 结束 是否显示电话(0.否,1.是)
    * @param showPhoneEnd
    */
    public void setShowPhoneEnd(Integer showPhoneEnd){
        this.showPhoneEnd = showPhoneEnd;
    }

    /**
    * 获取 增加 是否显示电话(0.否,1.是)
    * @return showPhoneIncrement
    */
    public Integer getShowPhoneIncrement(){
        return this.showPhoneIncrement;
    }

    /**
    * 设置 增加 是否显示电话(0.否,1.是)
    * @param showPhoneIncrement
    */
    public void setShowPhoneIncrement(Integer showPhoneIncrement){
        this.showPhoneIncrement = showPhoneIncrement;
    }

    /**
    * 获取 是否显示电话(0.否,1.是)
    * @return showPhoneList
    */
    public List<Integer> getShowPhoneList(){
        return this.showPhoneList;
    }

    /**
    * 设置 是否显示电话(0.否,1.是)
    * @param showPhoneList
    */
    public void setShowPhoneList(List<Integer> showPhoneList){
        this.showPhoneList = showPhoneList;
    }

    /**
    * 获取 是否显示电话(0.否,1.是)
    * @return showPhoneNotList
    */
    public List<Integer> getShowPhoneNotList(){
        return this.showPhoneNotList;
    }

    /**
    * 设置 是否显示电话(0.否,1.是)
    * @param showPhoneNotList
    */
    public void setShowPhoneNotList(List<Integer> showPhoneNotList){
        this.showPhoneNotList = showPhoneNotList;
    }


    /**
    * 获取 开始 显示电子门牌信息(0.显示时间,1.自定义内容)
    * @return showElectStart
    */
    public Integer getShowElectStart(){
        return this.showElectStart;
    }

    /**
    * 设置 开始 显示电子门牌信息(0.显示时间,1.自定义内容)
    * @param showElectStart
    */
    public void setShowElectStart(Integer showElectStart){
        this.showElectStart = showElectStart;
    }

    /**
    * 获取 结束 显示电子门牌信息(0.显示时间,1.自定义内容)
    * @return $showElectEnd
    */
    public Integer getShowElectEnd(){
        return this.showElectEnd;
    }

    /**
    * 设置 结束 显示电子门牌信息(0.显示时间,1.自定义内容)
    * @param showElectEnd
    */
    public void setShowElectEnd(Integer showElectEnd){
        this.showElectEnd = showElectEnd;
    }

    /**
    * 获取 增加 显示电子门牌信息(0.显示时间,1.自定义内容)
    * @return showElectIncrement
    */
    public Integer getShowElectIncrement(){
        return this.showElectIncrement;
    }

    /**
    * 设置 增加 显示电子门牌信息(0.显示时间,1.自定义内容)
    * @param showElectIncrement
    */
    public void setShowElectIncrement(Integer showElectIncrement){
        this.showElectIncrement = showElectIncrement;
    }

    /**
    * 获取 显示电子门牌信息(0.显示时间,1.自定义内容)
    * @return showElectList
    */
    public List<Integer> getShowElectList(){
        return this.showElectList;
    }

    /**
    * 设置 显示电子门牌信息(0.显示时间,1.自定义内容)
    * @param showElectList
    */
    public void setShowElectList(List<Integer> showElectList){
        this.showElectList = showElectList;
    }

    /**
    * 获取 显示电子门牌信息(0.显示时间,1.自定义内容)
    * @return showElectNotList
    */
    public List<Integer> getShowElectNotList(){
        return this.showElectNotList;
    }

    /**
    * 设置 显示电子门牌信息(0.显示时间,1.自定义内容)
    * @param showElectNotList
    */
    public void setShowElectNotList(List<Integer> showElectNotList){
        this.showElectNotList = showElectNotList;
    }


    /**
    * 获取 显示电子门牌信息自定义内容
    * @return showElectDescList
    */
    public List<String> getShowElectDescList(){
        return this.showElectDescList;
    }

    /**
    * 设置 显示电子门牌信息自定义内容
    * @param showElectDescList
    */
    public void setShowElectDescList(List<String> showElectDescList){
        this.showElectDescList = showElectDescList;
    }

    /**
    * 获取 显示电子门牌信息自定义内容
    * @return showElectDescNotList
    */
    public List<String> getShowElectDescNotList(){
        return this.showElectDescNotList;
    }

    /**
    * 设置 显示电子门牌信息自定义内容
    * @param showElectDescNotList
    */
    public void setShowElectDescNotList(List<String> showElectDescNotList){
        this.showElectDescNotList = showElectDescNotList;
    }

    /**
    * 获取 开始 显示会议室门牌信息(0.显示时间,1.自定义内容)
    * @return showMeetStart
    */
    public Integer getShowMeetStart(){
        return this.showMeetStart;
    }

    /**
    * 设置 开始 显示会议室门牌信息(0.显示时间,1.自定义内容)
    * @param showMeetStart
    */
    public void setShowMeetStart(Integer showMeetStart){
        this.showMeetStart = showMeetStart;
    }

    /**
    * 获取 结束 显示会议室门牌信息(0.显示时间,1.自定义内容)
    * @return $showMeetEnd
    */
    public Integer getShowMeetEnd(){
        return this.showMeetEnd;
    }

    /**
    * 设置 结束 显示会议室门牌信息(0.显示时间,1.自定义内容)
    * @param showMeetEnd
    */
    public void setShowMeetEnd(Integer showMeetEnd){
        this.showMeetEnd = showMeetEnd;
    }

    /**
    * 获取 增加 显示会议室门牌信息(0.显示时间,1.自定义内容)
    * @return showMeetIncrement
    */
    public Integer getShowMeetIncrement(){
        return this.showMeetIncrement;
    }

    /**
    * 设置 增加 显示会议室门牌信息(0.显示时间,1.自定义内容)
    * @param showMeetIncrement
    */
    public void setShowMeetIncrement(Integer showMeetIncrement){
        this.showMeetIncrement = showMeetIncrement;
    }

    /**
    * 获取 显示会议室门牌信息(0.显示时间,1.自定义内容)
    * @return showMeetList
    */
    public List<Integer> getShowMeetList(){
        return this.showMeetList;
    }

    /**
    * 设置 显示会议室门牌信息(0.显示时间,1.自定义内容)
    * @param showMeetList
    */
    public void setShowMeetList(List<Integer> showMeetList){
        this.showMeetList = showMeetList;
    }

    /**
    * 获取 显示会议室门牌信息(0.显示时间,1.自定义内容)
    * @return showMeetNotList
    */
    public List<Integer> getShowMeetNotList(){
        return this.showMeetNotList;
    }

    /**
    * 设置 显示会议室门牌信息(0.显示时间,1.自定义内容)
    * @param showMeetNotList
    */
    public void setShowMeetNotList(List<Integer> showMeetNotList){
        this.showMeetNotList = showMeetNotList;
    }


    /**
    * 获取 显示会议室门牌信息自定义内容
    * @return showMeetDescList
    */
    public List<String> getShowMeetDescList(){
        return this.showMeetDescList;
    }

    /**
    * 设置 显示会议室门牌信息自定义内容
    * @param showMeetDescList
    */
    public void setShowMeetDescList(List<String> showMeetDescList){
        this.showMeetDescList = showMeetDescList;
    }

    /**
    * 获取 显示会议室门牌信息自定义内容
    * @return showMeetDescNotList
    */
    public List<String> getShowMeetDescNotList(){
        return this.showMeetDescNotList;
    }

    /**
    * 设置 显示会议室门牌信息自定义内容
    * @param showMeetDescNotList
    */
    public void setShowMeetDescNotList(List<String> showMeetDescNotList){
        this.showMeetDescNotList = showMeetDescNotList;
    }

    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public BasicSetQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public BasicSetQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public BasicSetQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public BasicSetQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public BasicSetQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID，主键，自增长
        * @param idNotList
        */
        public BasicSetQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  是否显示照片(0.否,1.是)
    * @param showPhoto
    */
    public BasicSetQuery showPhoto(Integer showPhoto){
	    setShowPhoto(showPhoto);
		return this;
    }
	
	 /**
    * 设置 开始 是否显示照片(0.否,1.是)
    * @param showPhotoStart
    */
    public BasicSetQuery showPhotoStart(Integer showPhotoStart){
		this.showPhotoStart = showPhotoStart;
		return this;
    }

    /**
    * 设置 结束 是否显示照片(0.否,1.是)
    * @param showPhotoEnd
    */
    public BasicSetQuery showPhotoEnd(Integer showPhotoEnd){
		this.showPhotoEnd = showPhotoEnd;
		return this;
    }

    /**
    * 设置 增加 是否显示照片(0.否,1.是)
    * @param showPhotoIncrement
    */
    public BasicSetQuery showPhotoIncrement(Integer showPhotoIncrement){
		this.showPhotoIncrement = showPhotoIncrement;
		return this;
    }

    /**
    * 设置 是否显示照片(0.否,1.是)
    * @param showPhotoList
    */
    public BasicSetQuery showPhotoList(List<Integer> showPhotoList){
        this.showPhotoList = showPhotoList;
		return this;
        }

        /**
        * 设置 是否显示照片(0.否,1.是)
        * @param showPhotoNotList
        */
        public BasicSetQuery showPhotoNotList(List<Integer> showPhotoNotList){
        this.showPhotoNotList = showPhotoNotList;
        return this;
        }

    /**
    * 设置  是否显示姓名 (0.否,1.是)
    * @param showName
    */
    public BasicSetQuery showName(Integer showName){
	    setShowName(showName);
		return this;
    }
	
	 /**
    * 设置 开始 是否显示姓名 (0.否,1.是)
    * @param showNameStart
    */
    public BasicSetQuery showNameStart(Integer showNameStart){
		this.showNameStart = showNameStart;
		return this;
    }

    /**
    * 设置 结束 是否显示姓名 (0.否,1.是)
    * @param showNameEnd
    */
    public BasicSetQuery showNameEnd(Integer showNameEnd){
		this.showNameEnd = showNameEnd;
		return this;
    }

    /**
    * 设置 增加 是否显示姓名 (0.否,1.是)
    * @param showNameIncrement
    */
    public BasicSetQuery showNameIncrement(Integer showNameIncrement){
		this.showNameIncrement = showNameIncrement;
		return this;
    }

    /**
    * 设置 是否显示姓名 (0.否,1.是)
    * @param showNameList
    */
    public BasicSetQuery showNameList(List<Integer> showNameList){
        this.showNameList = showNameList;
		return this;
        }

        /**
        * 设置 是否显示姓名 (0.否,1.是)
        * @param showNameNotList
        */
        public BasicSetQuery showNameNotList(List<Integer> showNameNotList){
        this.showNameNotList = showNameNotList;
        return this;
        }

    /**
    * 设置  是否显示职位(0.否,1.是)
    * @param showPost
    */
    public BasicSetQuery showPost(Integer showPost){
	    setShowPost(showPost);
		return this;
    }
	
	 /**
    * 设置 开始 是否显示职位(0.否,1.是)
    * @param showPostStart
    */
    public BasicSetQuery showPostStart(Integer showPostStart){
		this.showPostStart = showPostStart;
		return this;
    }

    /**
    * 设置 结束 是否显示职位(0.否,1.是)
    * @param showPostEnd
    */
    public BasicSetQuery showPostEnd(Integer showPostEnd){
		this.showPostEnd = showPostEnd;
		return this;
    }

    /**
    * 设置 增加 是否显示职位(0.否,1.是)
    * @param showPostIncrement
    */
    public BasicSetQuery showPostIncrement(Integer showPostIncrement){
		this.showPostIncrement = showPostIncrement;
		return this;
    }

    /**
    * 设置 是否显示职位(0.否,1.是)
    * @param showPostList
    */
    public BasicSetQuery showPostList(List<Integer> showPostList){
        this.showPostList = showPostList;
		return this;
        }

        /**
        * 设置 是否显示职位(0.否,1.是)
        * @param showPostNotList
        */
        public BasicSetQuery showPostNotList(List<Integer> showPostNotList){
        this.showPostNotList = showPostNotList;
        return this;
        }

    /**
    * 设置  是否显示在岗状态(0.否,1.是)
    * @param showWork
    */
    public BasicSetQuery showWork(Integer showWork){
	    setShowWork(showWork);
		return this;
    }
	
	 /**
    * 设置 开始 是否显示在岗状态(0.否,1.是)
    * @param showWorkStart
    */
    public BasicSetQuery showWorkStart(Integer showWorkStart){
		this.showWorkStart = showWorkStart;
		return this;
    }

    /**
    * 设置 结束 是否显示在岗状态(0.否,1.是)
    * @param showWorkEnd
    */
    public BasicSetQuery showWorkEnd(Integer showWorkEnd){
		this.showWorkEnd = showWorkEnd;
		return this;
    }

    /**
    * 设置 增加 是否显示在岗状态(0.否,1.是)
    * @param showWorkIncrement
    */
    public BasicSetQuery showWorkIncrement(Integer showWorkIncrement){
		this.showWorkIncrement = showWorkIncrement;
		return this;
    }

    /**
    * 设置 是否显示在岗状态(0.否,1.是)
    * @param showWorkList
    */
    public BasicSetQuery showWorkList(List<Integer> showWorkList){
        this.showWorkList = showWorkList;
		return this;
        }

        /**
        * 设置 是否显示在岗状态(0.否,1.是)
        * @param showWorkNotList
        */
        public BasicSetQuery showWorkNotList(List<Integer> showWorkNotList){
        this.showWorkNotList = showWorkNotList;
        return this;
        }

    /**
    * 设置  是否显示电话(0.否,1.是)
    * @param showPhone
    */
    public BasicSetQuery showPhone(Integer showPhone){
	    setShowPhone(showPhone);
		return this;
    }
	
	 /**
    * 设置 开始 是否显示电话(0.否,1.是)
    * @param showPhoneStart
    */
    public BasicSetQuery showPhoneStart(Integer showPhoneStart){
		this.showPhoneStart = showPhoneStart;
		return this;
    }

    /**
    * 设置 结束 是否显示电话(0.否,1.是)
    * @param showPhoneEnd
    */
    public BasicSetQuery showPhoneEnd(Integer showPhoneEnd){
		this.showPhoneEnd = showPhoneEnd;
		return this;
    }

    /**
    * 设置 增加 是否显示电话(0.否,1.是)
    * @param showPhoneIncrement
    */
    public BasicSetQuery showPhoneIncrement(Integer showPhoneIncrement){
		this.showPhoneIncrement = showPhoneIncrement;
		return this;
    }

    /**
    * 设置 是否显示电话(0.否,1.是)
    * @param showPhoneList
    */
    public BasicSetQuery showPhoneList(List<Integer> showPhoneList){
        this.showPhoneList = showPhoneList;
		return this;
        }

        /**
        * 设置 是否显示电话(0.否,1.是)
        * @param showPhoneNotList
        */
        public BasicSetQuery showPhoneNotList(List<Integer> showPhoneNotList){
        this.showPhoneNotList = showPhoneNotList;
        return this;
        }

    /**
    * 设置  显示电子门牌信息(0.显示时间,1.自定义内容)
    * @param showElect
    */
    public BasicSetQuery showElect(Integer showElect){
	    setShowElect(showElect);
		return this;
    }
	
	 /**
    * 设置 开始 显示电子门牌信息(0.显示时间,1.自定义内容)
    * @param showElectStart
    */
    public BasicSetQuery showElectStart(Integer showElectStart){
		this.showElectStart = showElectStart;
		return this;
    }

    /**
    * 设置 结束 显示电子门牌信息(0.显示时间,1.自定义内容)
    * @param showElectEnd
    */
    public BasicSetQuery showElectEnd(Integer showElectEnd){
		this.showElectEnd = showElectEnd;
		return this;
    }

    /**
    * 设置 增加 显示电子门牌信息(0.显示时间,1.自定义内容)
    * @param showElectIncrement
    */
    public BasicSetQuery showElectIncrement(Integer showElectIncrement){
		this.showElectIncrement = showElectIncrement;
		return this;
    }

    /**
    * 设置 显示电子门牌信息(0.显示时间,1.自定义内容)
    * @param showElectList
    */
    public BasicSetQuery showElectList(List<Integer> showElectList){
        this.showElectList = showElectList;
		return this;
        }

        /**
        * 设置 显示电子门牌信息(0.显示时间,1.自定义内容)
        * @param showElectNotList
        */
        public BasicSetQuery showElectNotList(List<Integer> showElectNotList){
        this.showElectNotList = showElectNotList;
        return this;
        }


	/**
    * 设置 显示电子门牌信息自定义内容
    * @param showElectDesc
    */
    public BasicSetQuery showElectDesc(String showElectDesc){
        setShowElectDesc(showElectDesc);
		return this;
    }

    /**
    * 设置 显示电子门牌信息自定义内容
    * @param showElectDescList
    */
    public BasicSetQuery showElectDescList(List<String> showElectDescList){
        this.showElectDescList = showElectDescList;
		return this;
    }

    /**
    * 设置  显示会议室门牌信息(0.显示时间,1.自定义内容)
    * @param showMeet
    */
    public BasicSetQuery showMeet(Integer showMeet){
	    setShowMeet(showMeet);
		return this;
    }
	
	 /**
    * 设置 开始 显示会议室门牌信息(0.显示时间,1.自定义内容)
    * @param showMeetStart
    */
    public BasicSetQuery showMeetStart(Integer showMeetStart){
		this.showMeetStart = showMeetStart;
		return this;
    }

    /**
    * 设置 结束 显示会议室门牌信息(0.显示时间,1.自定义内容)
    * @param showMeetEnd
    */
    public BasicSetQuery showMeetEnd(Integer showMeetEnd){
		this.showMeetEnd = showMeetEnd;
		return this;
    }

    /**
    * 设置 增加 显示会议室门牌信息(0.显示时间,1.自定义内容)
    * @param showMeetIncrement
    */
    public BasicSetQuery showMeetIncrement(Integer showMeetIncrement){
		this.showMeetIncrement = showMeetIncrement;
		return this;
    }

    /**
    * 设置 显示会议室门牌信息(0.显示时间,1.自定义内容)
    * @param showMeetList
    */
    public BasicSetQuery showMeetList(List<Integer> showMeetList){
        this.showMeetList = showMeetList;
		return this;
        }

        /**
        * 设置 显示会议室门牌信息(0.显示时间,1.自定义内容)
        * @param showMeetNotList
        */
        public BasicSetQuery showMeetNotList(List<Integer> showMeetNotList){
        this.showMeetNotList = showMeetNotList;
        return this;
        }


	/**
    * 设置 显示会议室门牌信息自定义内容
    * @param showMeetDesc
    */
    public BasicSetQuery showMeetDesc(String showMeetDesc){
        setShowMeetDesc(showMeetDesc);
		return this;
    }

    /**
    * 设置 显示会议室门牌信息自定义内容
    * @param showMeetDescList
    */
    public BasicSetQuery showMeetDescList(List<String> showMeetDescList){
        this.showMeetDescList = showMeetDescList;
		return this;
    }


	/**
    * 设置 备注
    * @param remark
    */
    public BasicSetQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public BasicSetQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public BasicSetQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public BasicSetQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public BasicSetQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public BasicSetQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public BasicSetQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public BasicSetQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public BasicSetQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public BasicSetQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public BasicSetQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public BasicSetQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public BasicSetQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public BasicSetQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<BasicSetQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<BasicSetQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<BasicSetQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<BasicSetQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}